Bug 525161 - Excessive network traffic
Summary: Excessive network traffic
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 15:00 UTC by Edward Rudd
Modified: 2010-06-28 14:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:47:03 UTC


Attachments (Terms of Use)
bzip2 compressed wireshark packet dump (5.68 MB, application/x-bzip)
2009-09-23 15:07 UTC, Edward Rudd
no flags Details

Description Edward Rudd 2009-09-23 15:00:50 UTC
Description of problem:
krb5-auth-dialog was creating excessive network traffic.


Version-Release number of selected component (if applicable):
0.10-1.fc11@x86_64

How reproducible:
not known at this time

Additional info:
I got to my system this morning and noticed a high volume of traffic flowing in and out of my network card (via the system monitoir gnome applet) It was recording around 300Kbytes per second in and out.  I looked at my connections via netstat -anp and the only thing with any activity was DNS traffic.

I ran wireshark to capture the traffic..  It was a constant flow of DNS and KRB5 traffic.  Running netstat a few more times (after shutting down samba and winbind which made no affect on the traffic) it finally identified that it was the krb5-auth-dialog.   Once I killed that application the traffic stopped.

I'll attempt to compress down and attach the wireshark packet log (160MB for only 3 minutes of krb5-auth-dialog traffic!!!!!)

From analysing the type of traffic MOST of the traffic is all DNS, but the KRB5 traffic is still higher than normal.

Also the Active Directory system (which provides the KRB5) is up and running perfectly fine.

Comment 1 Edward Rudd 2009-09-23 15:07:25 UTC
Created attachment 362316 [details]
bzip2 compressed wireshark packet dump

This is the fist minute of traffic (well around 50 seconds actually) compressed as a bzip2 file. (19MB uncompressed)

Comment 2 Bug Zapper 2010-04-28 10:32:12 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:47:03 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.